module therm_expans_m

  IMPLICIT NONE

contains

  elemental real function therm_expans(t)

    ! Compute the thermal expansion coefficient of sea water.

    REAL, INTENT(IN):: t ! temperature, in K

    !--------------------------------------------------------------

    therm_expans = 2.1e-5 * (t - 269.95)**0.79

  END FUNCTION therm_expans

end module therm_expans_m
